@import "tooltip.css";

/*  CONTENTS */

/*
  1. Layout
  2. forms
  3. Type
  4. utilites

*/



/*1. layout*/

.container-content {
  width: 100%;
  padding-left: 16px;
  padding-right: 16px;
  padding-top: 16px;

}
.border {
  border: 1px solid black
}
.container-content.offset {
  margin-left: 250px;
  width: calc(100% - 250px);
}

#items {
  background: #f5f2ef;
  padding: 10px;
  border-radius: 6px;
}

.comment {
  padding: 20px;
  padding-top: 10px;
  background-color: white;
  border-radius: 4px;
  margin: 5px;
}

.comment-owner {
  font-weight: 700;
}

.comment-content {
  margin-top: 5px;
}

.comment-date {
  color: #c5c5c5;
  font-size: 14px;
}

.dynamic-badge {
  position: relative;
}

.dynamic-badge[data-badge]:after {
  content: attr(data-badge);

  position: absolute;
  top: -15px;
  right: -18px;

  font-size: 11px;
  font-weight: 600;

  text-align: center;
  line-height: 23px;

  background: #ff4081;
  color: white;

  width: 22px;
  height: 22px;

  border-radius: 50%;
  /* box-shadow:1px 2px 5px #888; */
}

.tab-badge {
  display: block;
  height: 1rem;
  width: 1rem;
  border-radius: 100%;
  margin-right: 0.5rem;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
  background-color: #2D3748;
}

/* nav layout */

.navbar-dropdown {
  display: none;
}

.navbar-item.has-dropdown.is-active .navbar-dropdown {
  display: block;
}

/*Sidebar 2020*/

.sidebar {
  width: 250px;
  position: fixed;
  height: 100vh;
  background-color: #000000;
  color: white;
  overflow-y: auto;

}

.sidebar__header {
  padding: 2rem 1rem;
  font-weight: 600;
  border-bottom: 1px solid #ffffff;
  margin-bottom: 1rem;
}

.sidebar__header__subtitle {
  color: #000000;
  font-variant: small-caps;
  text-transform: lowercase;
  letter-spacing: 0.5;
}

.sidebar__item__link {
  padding: 0.7rem 1rem;
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.sidebar__item__link:hover {
  color: white;
}

.sidebar__item__link:hover .sidebar__item__link__icon {
  background-color: #000000;
  transform: scale(1.2);
}

.sidebar__item__link:hover .sidebar__item__link__icon {
  color: white;
}

.sidebar__item__link:hover {
  background-color: #b3b3b3;
}

.sidebar__item__link__icon {
  padding: 0.4rem;
  background-color: #bbbbbb;
  border-radius: 4px;
  font-size: 0.9rem;
  margin-right: 1rem;
  transition: all 0.2s ease-in-out;
  display: inline-block;
}

.sidebar__item__link__arrow {
  vertical-align: middle;
  font-size: 0.8rem;
  transition: transform 0.15s ease-in-out;
}

.sidebar__item--has-dropdown.is-active .sidebar__item__dropdown {
  display: block;
}

.sidebar__item--has-dropdown.is-active .sidebar__item__link__arrow {
  transform: rotate(90deg);
}

.sidebar__item__dropdown {
  display: none;
  margin-bottom: 1rem;
}

.sidebar__item__dropdown .sidebar__item__link {
  padding-left: 2rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.sidebar__links {
  margin-bottom: 56px;
}

.sidebar__footer {
  position: fixed;
  bottom: 0;
  width: 250px;
  background-color: #F3F4F6;
}





/* 2.forms */
.input.skinny {
  max-width: 250px;
}

.input.number {
  max-width: 100px;
}

/* 3. Type */
h1,
h2,
h3,
h4 {
  margin-bottom: 1rem;
}

/* 4. utilites */

.hide-me {
  display: none;
}

.fixed {
  position: fixed;
}

.bordered {
  border: 1px solid #eee;
}

.border-right {
  border-right: 1px solid #f5f5f5;
}


.pad_sides_2 {
  padding-left: 2rem;
  padding-right: 2rem;
}

.light {
  opacity: 0.2;
}

.sidebar-blue {
  background-color: #2C5282;
}

.table.td-v-align-inherit td {
  vertical-align: inherit;
}

.m-b-none {
  margin-bottom: 0 !important;
}

.m-r-sm {
  margin-right: 0.5rem;
}


.m-l-md {
  margin-left: 1rem
}

.m-r-md {
  margin-right: 1rem;
}

.m-b-md {
  margin-bottom: 1rem;
}

.m-t-md {
  margin-top: 1rem;
}

.m-l-lg {
  margin-left: 2rem
}

.m-r-lg {
  margin-right: 2rem;
}

.m-b-lg {
  margin-bottom: 2rem;
}

.m-t-lg {
  margin-top: 2rem;
}

.p-md {
  padding: 1rem;
}

.p-lg {
  padding: 2rem;
}

.w-250 {
  width: 250px;
}

.w-full {
  width: 100%;
}

.h-fullvh {
  height: 100vh;
}

.max-h-128 {
  max-height: 128px;
}

.flex {
  display: flex;
}

.align-center {
  align-items: center;
}

.space-between {
  justify-content: space-between;
}


.hover-grey:hover {
  background-color: #eee;
}

.row-cancelled {
  background-color: #e8e8e8;
}

.inherit-color {
  color: inherit;
}

.cursor {
  cursor: pointer;
}

.cursor-auto {
  cursor: auto;
}

@media only screen and (max-width: 1350px) {
  .sdl-block {
    display: block !important;
  }

  .sdl-block .border-right {
    border-right: none;
    border-bottom: 1px solid #f5f5f5;
  }
}

@media only screen and (max-width: 1024px) {
  .container-content.offset {
    margin-left: 0;
    width: 100%;
  }
}

@media screen and (max-width: 1024px) {
  .is-hidden-touch {
    display: none !important;
  }

}

@media screen and (min-width: 1025px) {
  .is-hidden-desktop {
    display: none !important;
  }
}

@media screen and (min-width: 1024px) {
  .is-hidden-desktop {
    /*  display: inherit!important;*/
  }
}